/*
 Theme Name:   afrak Child Theme
 Author:       xcodestudio
 Version:      1.0
 Author URI:   http://xcodestudio.ir/
 Template:     afrak
 Text Domain:  afrak
*/
:root {
    --benchimo-border-radius: 2px;
}

@font-face {
    font-family: IRANYekanX;
    font-style: normal;
    font-weight: 100;
    src: url('assets/fonts/iranyekan/woff/IRANYekanX-Thin.woff') format('woff'),
    url('assets/fonts/iranyekan/woff2/IRANYekanX-Thin.woff2') format('woff2');
}

@font-face {
    font-family: IRANYekanX;
    font-style: normal;
    font-weight: 200;
    src: url('assets/fonts/iranyekan/woff/IRANYekanX-UltraLight.woff') format('woff'),
    url('assets/fonts/iranyekan/woff2/IRANYekanX-UltraLight.woff2') format('woff2');
}

@font-face {
    font-family: IRANYekanX;
    font-style: normal;
    font-weight: 300;
    src: url('assets/fonts/iranyekan/woff/IRANYekanX-Light.woff') format('woff'),
    url('assets/fonts/iranyekan/woff2/IRANYekanX-Light.woff2') format('woff2');
}

@font-face {
    font-family: IRANYekanX;
    font-style: normal;
    font-weight: 500;
    src: url('assets/fonts/iranyekan/woff/IRANYekanX-Medium.woff') format('woff'),
    url('assets/fonts/iranyekan/woff2/IRANYekanX-Medium.woff2') format('woff2');
}

@font-face {
    font-family: IRANYekanX;
    font-style: normal;
    font-weight: 600;
    src: url('assets/fonts/iranyekan/woff/IRANYekanX-DemiBold.woff') format('woff'),
    url('assets/fonts/iranyekan/woff2/IRANYekanX-DemiBold.woff2') format('woff2');
}

@font-face {
    font-family: IRANYekanX;
    font-style: normal;
    font-weight: 800;
    src: url('assets/fonts/iranyekan/woff/IRANYekanX-ExtraBold.woff') format('woff'),
    url('assets/fonts/iranyekan/woff2/IRANYekanX-ExtraBold.woff2') format('woff2');
}

@font-face {
    font-family: IRANYekanX;
    font-style: normal;
    font-weight: 900;
    src: url('assets/fonts/iranyekan/woff/IRANYekanX-Black.woff') format('woff'),
    url('assets/fonts/iranyekan/woff2/IRANYekanX-Black.woff2') format('woff2');
}
@font-face {
    font-family: IRANYekanX;
    font-style: normal;
    font-weight: 950;
    src: url('assets/fonts/iranyekan/woff/IRANYekanX-ExtraBlack.woff') format('woff'),
    url('assets/fonts/iranyekan/woff2/IRANYekanX-ExtraBlack.woff2') format('woff2');
}

@font-face {
    font-family: IRANYekanX;
    font-style: normal;
    font-weight: 1000;
    src: url('assets/fonts/iranyekan/woff/IRANYekanX-Heavy.woff') format('woff'),
    url('assets/fonts/iranyekan/woff2/IRANYekanX-Heavy.woff2') format('woff2');
}

@font-face {
    font-family: IRANYekanX;
    font-style: normal;
    font-weight: bold;
    src: url('assets/fonts/iranyekan/woff/IRANYekanX-Bold.woff') format('woff'),
    url('assets/fonts/iranyekan/woff2/IRANYekanX-Bold.woff2') format('woff2');
}

@font-face {
    font-family: IRANYekanX;
    font-style: normal;
    font-weight: normal;
    src: url('assets/fonts/iranyekan/woff/IRANYekanX-Regular.woff') format('woff'),
    url('assets/fonts/iranyekan/woff2/IRANYekanX-Regular.woff2') format('woff2');
}

body.dark-mode {
    background-color: #001b28;
}

body.dark-mode .elementor-element:not(.benchimo-bg) {
    background-color: inherit !important;
}

#slider-link {
    background: #debb91;
    color: #000000;
}

.btn-hover-effect:hover {
    transform: scale(1.05);
}

.btn-hover-effect {
    transition: all .2s linear;
}

body.dark-mode header {
    background: #000000;
    border-bottom: 0px solid #333;
}

img {
    max-width: 100%;
    height: auto;
    border-radius: var(--benchimo-border-radius);
}

body.dark-mode a {
    color: #eeeeee;
}

.afrak-card-container {
    border-radius: var(--benchimo-border-radius);
}

.widget{
    border-radius: var(--benchimo-border-radius);
}

.breadcrumb,.article-card,.article-image,.post-card,.comments-area,.comment-reply-link,.comment-inner,textarea,.comment-footer a{
    -webkit-border-radius: var(--benchimo-border-radius);
    -moz-border-radius: var(--benchimo-border-radius);
    border-radius: var(--benchimo-border-radius);
}
.comment-footer a{
    color: #12252e;
}
.post-card{
    position: relative;
}

body.dark-mode a.afrak-card-container:hover{
    color: #e9e9e9;
}
.article-body a{
    color: #0b57d0;
}
body.dark-mode .article-body a {
    color: #debb91;
}
/**
 * block editor
 */
.wp-lightbox-overlay .wp-lightbox-navigation-button-next {
    transform: rotate(180deg);
}
.wp-lightbox-overlay .wp-lightbox-navigation-button-prev {
    transform: rotate(180deg);
}

.wp-block-gallery{
    margin-bottom: 16px;
}
.wp-block-paragraph,.wp-block-image{
    margin-bottom: 16px;
}
/**
 * article
 */
body.dark-mode .article {
    background-color: #12252e !important;
}

body.dark-mode .afrak-posts-slider-widget .swiper-slide {
    background-color: #12252e !important;
}

body.dark-mode .afrak-posts-swiper .post-content {
    color: #ffffff !important;
}

body.dark-mode .consultant-form .elementor-field-label,
body.dark-mode .consultant-form label {
    color: #e9e9e9 !important;
}

body.dark-mode .widget, body.dark-mode .article, body.dark-mode .post-card, body.dark-mode .article-card, body.dark-mode .comments-section, body.dark-mode .cat-count, body.dark-mode .authors-widget .author-social a, body.dark-mode .search-widget input[type="text"], body.dark-mode .breadcrumb, body.dark-mode .afrak-toc-header, body.dark-mode .afrak-toc-content, body.dark-mode .afrak-toc-container, body.dark-mode .afrak-toc-toggle, body.dark-mode .author-social .follow-btn, body.dark-mode .comments-area, body.dark-mode .page-title, body.dark-mode .nav-desktop ul.sub-menu, body.dark-mode #single-two .tags-section, body.dark-mode .tag-item, body.dark-mode #single-two .author-box, body.dark-mode .afrak-posts-slider2-wrapper .news-card, body.dark-mode #one-tab-container .swiper-slide, body.dark-mode .afrak-posts-slider-widget .swiper-slide, body.dark-mode #blog-list-wrapper .list-card, body.dark-mode #news-grid-layout .news-card, body.dark-mode #articles-grid-wrapper .article-card, body.dark-mode .side-story, body.dark-mode .mobile-menu, body.dark-mode .swiper-button-next, body.dark-mode .swiper-button-prev, body.dark-mode .afrak-toc-number, body.dark-mode .author-box, body.dark-mode .afrak-pagination a {
    background-color: #12252e !important;
    border: 0px;
}

body.dark-mode .afrak-toc-container{
    border: 1px solid #e9e9e9;
}

body.dark-mode .afrak-toc-icon,
body.dark-mode .afrak-toc-toggle{
    color: #e9e9e9;
}
body.dark-mode .afrak-toc-toggle{
    background-color: #e9e9e9 !important;
}

.article,
body.dark-mode .article {
    border: 0px;
    border-radius: var(--benchimo-border-radius);
}

.article .thumb {
    border-radius: var(--benchimo-border-radius);
}

.article .meta {
    justify-content: flex-start;
}

.article .meta .meta-item a,
body.dark-mode .meta-item a {
    color: var(--color-tertiary);
}

.article .info {
    justify-content: space-between;
}

.article .thumb a,
.afk-image-wrapper a,
.post-image a {
    position: relative;
    height: 0;
    width: 100%;
}

.article .thumb a:after, .afk-image-wrapper a:after,
.post-image a:after {
    content: "";
    display: block;
    padding-top: 56.25%;
    width: 100%;
}

.article .thumb img, .afk-image-wrapper img, .post-image img {
    position: absolute;
    top: 0;
}

.article .thumb {
    width: 40%;
    height: auto;
}

.post-excerpt{
    display: none;
}
.post-image{
    margin-bottom: 16px;
}

body.dark-mode input,body.dark-mode textarea{
    background-color: #c9c9c9 !important;
}

body.dark-mode .nav-desktop>ul>li>a{
    color: #e5dabe;
}
/**
 * widget liste mataleb
 */
.summery-list .article .thumb {
    max-width: 150px;
    height: auto;
    border-radius: var(--benchimo-border-radius);
}

.summery-list .article .thumb img {
    aspect-ratio: 16/9;
    border-radius: var(--benchimo-border-radius);
}

.summery-list .excerpt {
    display: none;
}

.summery-list .article .meta {
    justify-content: start;
}

/**
 * slider home page
 */
.slider-image img {
    border-radius: var(--benchimo-border-radius) !important;
}

#slider-link {
    border-radius: var(--benchimo-border-radius) !important;
}

/**
 * pagination
 */

body.dark-mode .afrak-pagination span {
    background-color: #12252e !important;
    color: #e9e9e9;
}

body.dark-mode .afrak-pagination a {
    border: 0px;
}

/**
 * widget afk card
 */
.afk-card-item {
    border-radius: var(--benchimo-border-radius);
}

.afk-small-card, .afk-card-item {
    min-height: auto;
}

.afk-overlay {
    padding: 16px 16px 6px 16px;
}

.afk-title {
    margin: 0px;
}
.afk-overlay .afk-title a{
    color: #e9e9e9;
}

#articles-grid-wrapper .article-card{
    border-radius: 2px;
}
#articles-grid-wrapper .article-img-wrapper{
    border-radius: 2px;
}
/**
 * footer
 */
body.dark-mode .site-footer{
    background-color: #000000;
}
.site-footer h4, .site-footer h3 {
    color: #debb91;
}

body.dark-mode .scroll-to-top {
    background-color: #debb91;
    box-shadow: rgba(222, 187, 145, 0.4) 0px 4px 15px
}

/**
 * post
 */

.post-badge {
    position: absolute;
    top: 15px;
    right: 15px;
    z-index: 12;
}

.badge {
    background: var(--color-primary);
    color: #333333;
    padding: 5px 12px;
    border-radius: 5px;
    font-size: 12px;
    display: flex;
    align-items: center;
    gap: 5px;
    width: 70px;
}

.afrak-toc-container{
    -webkit-border-radius: var(--benchimo-border-radius);
    -moz-border-radius: var(--benchimo-border-radius);
    border-radius: var(--benchimo-border-radius);
}
body.dark-mode .afrak-toc-text{
    color : #e9e9e9;
}
.article-body ol li{
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;
}
/***
 * article card-1
 */
.card-1{
    border-radius: 2px;
}
.card-1 .image img{
    border-radius: 2px;
}
body.dark-mode .card-1{
    background: #12252e;
}
body.dark-mode .card-1 .content p{
    display: none;
}